Bug 143643 - The size of comment box isn't restored at undo (so plenty of space, but showing scrollbar)
Summary: The size of comment box isn't restored at undo (so plenty of space, but showi...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.3.0 target:7.2.5
Keywords:
Depends on:
Blocks: Undo-Redo Writer-Comments
  Show dependency treegraph
 
Reported: 2021-07-31 13:34 UTC by Telesto
Modified: 2021-12-06 13:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file (8.90 KB, application/vnd.oasis.opendocument.text)
2021-07-31 13:34 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2021-07-31 13:34:42 UTC
Description:
The size of comment box isn't restored at undo (so plenty of space, but showing scrollbar)

Steps to Reproduce:
1. Open the attached file
2. CTRL+A
3. CTRL+C
4. CTRL+V (10x)
5. CTRL+Z 9x

Actual Results:
Small comment box with scrollbar

Expected Results:
Not so


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 2a151d1d5bc055d5e0011460b6ec42ea9f34f880
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2021-07-31 13:34:55 UTC
Created attachment 173996 [details]
Example file
Comment 2 Telesto 2021-07-31 15:37:46 UTC
Ok with
Version: 7.1.0.0.beta1+ (x64)
Build ID: f9fab4203c1aa0b9a3f27ce2713b6d5addc7df19
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: nl-NL
Calc: CL
Comment 3 Dmitrii A 2021-07-31 16:21:57 UTC
confirm in 

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: ac80ec817eb07c77a51bc0729985a473c734182e
CPU threads: 16; OS: Windows 10.0 Build 19042; UI render: Skia/Vulkan; VCL: win
Locale: ru-RU (ru_RU); UI: en-US
Calc: CL
Comment 4 Telesto 2021-07-31 17:07:04 UTC
Adding CC to Caolan 
[in advance.. Educate guess: annotation welding.. ]
Comment 5 psidiumcode 2021-08-16 18:41:28 UTC
I could reproduce it. 

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 5aac78e5fb241050a86714687e9ff8804588ae3c
CPU threads: 12; OS: Mac OS X 10.15.7; UI render: default; VCL: osx
Locale: en-GB (en_GB.UTF-8); UI: en-US
Calc: threaded

Version: 7.0.6.2
Build ID: 144abb84a525d8e30c9dbbefa69cbbf2d8d4ae3b
CPU threads: 12; OS: Mac OS X 10.15.7; UI render: default; VCL: osx
Locale: en-GB (en_GB.UTF-8); UI: en-US
Calc: threaded

Version: 6.3.0.0.beta2+
Build ID: e4553dbf3d4c47c10326c9d2f0bedfe69922d3d4
CPU threads: 12; OS: Mac OS X 10.15.7; UI render: default; VCL: osx; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded
Comment 6 Екатерина 2021-09-03 18:10:07 UTC
no repro in Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: bc7baa18435000f47f90e47d3300710bcb4cf56b
CPU threads: 8; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: en-US
Calc: CL
Comment 7 Aron Budea 2021-09-26 04:34:39 UTC
(In reply to Telesto from comment #2)
> Ok with
> Version: 7.1.0.0.beta1+ (x64)
> Build ID: f9fab4203c1aa0b9a3f27ce2713b6d5addc7df19
As far as I can see this already occurs in LO 3.3.0, both under Linux and Windows.
Comment 8 Caolán McNamara 2021-11-04 11:20:53 UTC
looks to me that if the comments are deleted manually, rather than using ctrl+z to undo them, then the layout is redone and the scrollbars get removed.
Comment 9 Commit Notification 2021-11-04 13:35:45 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fe5dbd90cd5a39b5130f7c962cc6c7dee1c80f8f

Resolves: tdf#143643 ensure relayout on undo of insert comment

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Caolán McNamara 2021-11-04 13:37:39 UTC
done in trunk, backport to 6-2 in gerrit
Comment 11 Commit Notification 2021-11-05 09:32:02 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/0e83cdaf8a96fa06b95219e581fc2eed7df39c26

Resolves: tdf#143643 ensure relayout on undo of insert comment

It will be available in 7.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Christian Lohmaier 2021-12-06 13:28:48 UTC
7.2.4 was a hotfix release, updating target in status-whiteboard